Katello - Bug #6698

Not possible to install a realm only capsule
07/21/2014 06:14 AM - Stephen Benjamin

Status: Closed
Priority: Normal
Assignee: Stephen Benjamin
Category: Foreman Proxy Content
Target version: Katello 2.0
Difficulty: trivial Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1121592 Red Hat JIRA:
Pull request: https://github.com/Katello/katello-installer
/pull/88
Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1121592
Description of problem:
Running the capsule installer to install a realm-only proxy isn't possible

Version-Release number of selected component (if applicable):
6.0.3 Beta

How reproducible:
Always

Steps to Reproduce:
1. Install a capsule like this:

capsule-installer --realm true --realm-keytab "/etc/foreman-proxy/idm.keytab" \
--realm-principal "realm-capsule@EXAMPLE.COM" --realm-provider freeipa

Actual results:
Foreman proxy is installed with realm capabilities

Expected results:
Foreman proxy isn't installed

Associated revisions

Revision 23199294 - 07/21/2014 08:14 AM - Stephen Benjamin

fixes #6698 - install foreman proxy if realm is selected

Revision 23199294 - 07/21/2014 08:14 AM - Stephen Benjamin

fixes #6698 - install foreman proxy if realm is selected

Revision 238fdb9a - 07/21/2014 12:21 PM - Eric Helms
Merge pull request #10 from stbenjam/realm-capsule
fixes #6698 - install foreman proxy if realm is selected
Revision 238fdb9a - 07/21/2014 12:21 PM - Eric Helms
Merge pull request #10 from stbenjam/realm-capsule
fixes #6698 - install foreman proxy if realm is selected

Revision 5265f95f - 07/31/2014 09:00 AM - Stephen Benjamin

refs #6698, #6491 update katello common and capsule modules
https://bugzilla.redhat.com/show_bug.cgi?id=1121592
mailto:realm-capsule@EXAMPLE.COM

Revision ca52a4fd - 07/31/2014 11:58 AM - Stephen Benjamin
Merge pull request #88 from stbenjam/6698

refs #6698, #6491 update katello common and capsule modules

History

#1 - 07/22/2014 09:34 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Target version set to 49

- Pull request https://github.com/Katello/katello-installer/pull/88 added
- Pull request deleted ()

#2 - 07/22/2014 02:00 PM - Eric Helms
- Assignee set to Stephen Benjamin
- Difficulty set to trivial

- Triaged changed from No to Yes

#3 - 07/28/2014 08:47 AM - Eric Helms

- Target version changed from 49 to 54

#4 - 08/01/2014 09:28 AM - Stephen Benjamin
- Status changed from Ready For Testing to Closed

Merged in katello-installer as 5265f95f.

#5 - 08/22/2014 09:23 AM - Eric Helms

- translation missing: en.field_release set to 13
